#!/usr/bin/python
# -*- coding: utf-8 -*-

#Bibliotehk 0.4 - desenvolvido em Python/PyQt4
#Desenvolvedor: Cleiton Lima
#Licença: GPL
# o.O MADE IN RIO DE JANEIRO - BRAZIL O.o

import sys
from os import system
from PyQt4 import QtGui, QtCore

class SystemTrayIcon(QtGui.QSystemTrayIcon):

    def __init__(self, icon, parent=None):
        QtGui.QSystemTrayIcon.__init__(self, icon, parent)
        menu = QtGui.QMenu(parent)
	
	internet_icon = str("/usr/share/icons/oxygen/32x32/apps/krfb.png")
	fechar_icon = str("/usr/share/icons/oxygen/32x32/actions/application-exit.png")
	
	def install_text_fun ():
		system("bibliotehk --abrir file:///usr/share/bibliotehk/conteudo/instalacao/instalando_big_linux.html &")
		exit()
	
	def net_3g_fun ():
		system("bibliotehk --abrir file:///usr/share/bibliotehk/conteudo/Internet/discada/discada.html &")
		exit()
	
	def net_dial_fun ():
		system("bibliotehk --abrir file:///usr/share/bibliotehk/conteudo/Internet/3G/3g.html &")
		exit()

	#Guia de Instalação - Texto
	install_text= QtGui.QAction(QtGui.QIcon('biglogo.png'), "install text", self)
	install_text.setText(QtGui.QApplication.translate("MainWindow", "Instalando o Big Linux", None, QtGui.QApplication.UnicodeUTF8))
	self.connect(install_text, QtCore.SIGNAL('triggered()'), install_text_fun)
	
	#Conexão 3G
	net_3g= QtGui.QAction(QtGui.QIcon(internet_icon), "3g net", self)
	net_3g.setText(QtGui.QApplication.translate("MainWindow", "Configurando internet 3G", None, QtGui.QApplication.UnicodeUTF8))
	self.connect(net_3g, QtCore.SIGNAL('triggered()'), net_3g_fun)
	
	#Conexão Discada
	net_dial= QtGui.QAction(QtGui.QIcon(internet_icon), "dial net", self)
	net_dial.setText(QtGui.QApplication.translate("MainWindow", "Configurando internet discada", None, QtGui.QApplication.UnicodeUTF8))
	self.connect(net_dial, QtCore.SIGNAL('triggered()'), net_dial_fun)
	
	#Botao Sair
	go_out = QtGui.QAction(QtGui.QIcon(fechar_icon), 'Fechar', self)
	go_out.setText("Fechar")
        go_out.setShortcut('alt+F4')
	self.connect(go_out, QtCore.SIGNAL('triggered()'),  QtGui.qApp, QtCore.SLOT('quit()'))
	
	menu.addAction(install_text)
	menu.addSeparator()
	menu.addAction(net_3g)
	menu.addAction(net_dial)
	menu.addSeparator()
	menu.addAction(go_out)
        self.setContextMenu(menu)
	
def main():
	app = QtGui.QApplication(sys.argv)

	w = QtGui.QWidget()
	trayIcon = SystemTrayIcon(QtGui.QIcon("/usr/share/icons/oxygen/32x32/apps/help-browser.png"), w)
	def msg ():
		system("sleep 5s")
		trayIcon.showMessage("Bem-Vindo ao Big Linux", QtGui.QApplication.translate("MainWindow", "Precisa de Ajuda na Instalação?\nClique com o botão direito no ícone do Bibliotehk,\nna bandeja do sistema.", None, QtGui.QApplication.UnicodeUTF8), QtGui.QSystemTrayIcon.Information, 8000)
	trayIcon.show()
	msg()

	def abre_principal ():
		system("bibliotehk &")
		exit()
	sys.exit(app.exec_())

if __name__ == '__main__':
	main()


