#!/usr/bin/python
# -*- coding: utf-8 -*-

#Bibliotehk 0.4 - desenvolvido em Python/PyQt4
#Desenvolvedor: Cleiton Lima
#Licença: GPL
# o.O MADE IN RIO DE JANEIRO - BRAZIL O.o

import sys
from os import system, chdir, listdir, path, environ
from PyQt4 import QtGui, QtCore, QtWebKit

class MainWindow(QtGui.QMainWindow):
    def __init__(self):
        QtGui.QMainWindow.__init__(self)

        self.resize(1024, 768)
        self.setWindowTitle(QtGui.QApplication.translate("MainWindow", "Ajuda e Suporte", None, QtGui.QApplication.UnicodeUTF8))
	self.setWindowState(QtCore.Qt.WindowMaximized)
	self.setWindowIcon(QtGui.QIcon('/usr/share/icons/oxygen/32x32/apps/help-browser.png'))
	self.centralwidget = QtGui.QWidget(self)
	self.centralwidget.setObjectName("centralwidget")	
	self.gridLayout = QtGui.QGridLayout(self.centralwidget)
        self.gridLayout.setMargin(0)
        self.gridLayout.setSpacing(0)
        self.gridLayout.setObjectName("gridLayout")
	
	#Ícones
	app_icon = str('/usr/share/icons/oxygen/32x32/apps/utilities-log-viewer.png')
	previous_icon = str("/usr/share/icons/oxygen/32x32/actions/arrow-left.png")
	next_icon = str("/usr/share/icons/oxygen/32x32/actions/arrow-right.png")
	zoomMore_icon = str("/usr/share/icons/oxygen/32x32/actions/zoom-in.png")
	zoomLess_icon = str("/usr/share/icons/oxygen/32x32/actions/zoom-out.png")
	zoomNormal_icon = str("/usr/share/icons/oxygen/32x32/actions/page-zoom.png")
	print_icon = str("/usr/share/icons/oxygen/32x32/devices/printer.png")
	principal_icon = str("/usr/share/icons/oxygen/32x32/actions/dashboard-show.png")
	baixarManual_icon = str("/usr/share/icons/oxygen/32x32/actions/download.png")
	about_icon = str("/usr/share/icons/oxygen/32x32/actions/help-about.png")
	internet_icon = str("/usr/share/icons/oxygen/32x32/apps/krfb.png")
	hardware_icon = str("/usr/share/icons/oxygen/32x32/devices/audio-card.png")
	jogos_icon = str("/usr/share/icons/oxygen/32x32/apps/preferences-desktop-gaming.png")
	
	
	#Texto do programa
	apps = open('/usr/share/bibliotehk/txt/aplicativos.txt', 'r').read()
	internet = open('/usr/share/bibliotehk/txt/internet.txt', 'r').read()
	hardware = open('/usr/share/bibliotehk/txt/hardware.txt', 'r').read()
	bigtuto = open('/usr/share/bibliotehk/txt/bigtuto.txt', 'r').read()
	jogos = open('/usr/share/bibliotehk/txt/jogos.txt', 'r').read()
	next = open('/usr/share/bibliotehk/txt/next.txt', 'r').read()
	previous = open('/usr/share/bibliotehk/txt/previous.txt', 'r').read()
	morezoom = open('/usr/share/bibliotehk/txt/morezoom.txt', 'r').read()
	lesszoom = open('/usr/share/bibliotehk/txt/lesszoom.txt', 'r').read()
	zoom = open('/usr/share/bibliotehk/txt/zoom.txt', 'r').read()
	printing = open('/usr/share/bibliotehk/txt/imprimir.txt', 'r').read()
	bug = open('/usr/share/bibliotehk/txt/bug.txt', 'r').read()
	interface = open('/usr/share/bibliotehk/txt/full.txt', 'r').read()
	
        #Estrutura de Tabs
	self.tabWidget = QtGui.QTabWidget(self.centralwidget)
	sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Fixed, QtGui.QSizePolicy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.tabWidget.sizePolicy().hasHeightForWidth())
	self.tabWidget.setMinimumSize(QtCore.QSize(190, 0))
        self.tabWidget.setSizePolicy(sizePolicy)
        self.tabWidget.setTabPosition(QtGui.QTabWidget.West)
        self.tabWidget.setObjectName("tabWidget")
	self.tabWidget.setIconSize(QtCore.QSize(24, 24))
	
	#Tab Guia Big Linux 5
        self.tab_4 = QtGui.QWidget()
        self.tab_4.setObjectName("tab_4")
        self.gridLayout_2 = QtGui.QGridLayout(self.tab_4)
        self.gridLayout_2.setMargin(0)
        self.gridLayout_2.setSpacing(0)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.guia_list = QtGui.QListWidget(self.tab_4)
        self.guia_list.setObjectName("guia_list")
        self.gridLayout_2.addWidget(self.guia_list, 0, 0, 1, 1)
        self.tabWidget.addTab(self.tab_4, "")
	self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_4), QtGui.QApplication.translate("MainWindow", bigtuto, None, QtGui.QApplication.UnicodeUTF8))
	self.tabWidget.setTabIcon(self.tabWidget.indexOf(self.tab_4), QtGui.QIcon('biglogo.png'))
	
	#Tab Aplicativos
        self.tab = QtGui.QWidget()
        self.tab.setObjectName("tab")
        self.gridLayout_3 = QtGui.QGridLayout(self.tab)
        self.gridLayout_3.setMargin(0)
        self.gridLayout_3.setSpacing(0)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.apps_list = QtGui.QListWidget(self.tab)
        self.apps_list.setObjectName("apps_list")
        self.gridLayout_3.addWidget(self.apps_list, 0, 0, 1, 1)
        #self.tabWidget.addTab(self.tab, "")
	#self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab), QtGui.QApplication.translate("MainWindow", apps, None, QtGui.QApplication.UnicodeUTF8))
	#self.tabWidget.setTabIcon(self.tabWidget.indexOf(self.tab), QtGui.QIcon(app_icon))

	#Tab Internet
        self.tab_2 = QtGui.QWidget()
        self.tab_2.setObjectName("tab_2")
        self.gridLayout_4 = QtGui.QGridLayout(self.tab_2)
        self.gridLayout_4.setMargin(0)
        self.gridLayout_4.setSpacing(0)
        self.gridLayout_4.setObjectName("gridLayout_4")
        self.net_list = QtGui.QListWidget(self.tab_2)
        self.net_list.setObjectName("net_list")
        self.gridLayout_4.addWidget(self.net_list, 0, 0, 1, 1)
       #self.tabWidget.addTab(self.tab_2, "")
        #self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_2), QtGui.QApplication.translate("MainWindow", internet, None, QtGui.QApplication.UnicodeUTF8))
	#self.tabWidget.setTabIcon(self.tabWidget.indexOf(self.tab_2), QtGui.QIcon(internet_icon))

	#Tab Hardware
	self.tab_3 = QtGui.QWidget()
        self.tab_3.setObjectName("tab_3")
        self.gridLayout_5 = QtGui.QGridLayout(self.tab_3)
        self.gridLayout_5.setMargin(0)
        self.gridLayout_5.setSpacing(0)
        self.gridLayout_5.setObjectName("gridLayout_5")
        self.hard_list = QtGui.QListWidget(self.tab_3)
        self.hard_list.setObjectName("hard_list")
        self.gridLayout_5.addWidget(self.hard_list, 0, 0, 1, 1)
        #self.tabWidget.addTab(self.tab_3, "")
        self.gridLayout.addWidget(self.tabWidget, 0, 0, 1, 1)
	self.tabWidget.setCurrentIndex(0)
	#self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_3), QtGui.QApplication.translate("MainWindow", hardware, None, QtGui.QApplication.UnicodeUTF8))
	#self.tabWidget.setTabIcon(self.tabWidget.indexOf(self.tab_3), QtGui.QIcon(hardware_icon))

	#Tab Jogos
	self.tab_5 = QtGui.QWidget()
        self.tab_5.setObjectName("tab_5")
        self.gridLayout_6 = QtGui.QGridLayout(self.tab_5)
        self.gridLayout_6.setMargin(0)
        self.gridLayout_6.setSpacing(0)
        self.gridLayout_6.setObjectName("gridLayout_6")
        self.games_list = QtGui.QListWidget(self.tab_5)
        self.games_list.setObjectName("games_list")
        self.gridLayout_6.addWidget(self.games_list, 0, 0, 1, 1)
        #self.tabWidget.addTab(self.tab_5, "")
	#self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_5), QtGui.QApplication.translate("MainWindow", jogos, None, QtGui.QApplication.UnicodeUTF8))
	#self.tabWidget.setTabIcon(self.tabWidget.indexOf(self.tab_5), QtGui.QIcon(jogos_icon))

	#funcao setURL	caminho = str('')
	url_f = str('f')
	url_url = str('url')
	url_user = path.expanduser('~')
	barra = str('/')
	url_caminho = str('/.config/bibliotehk/')
	url = open(url_user+url_caminho+url_f, 'r').read()
	print url
	if url == 'mini\n':
		url = open(url_user+url_caminho+url_url, 'r')
		adress = url.readline().split('\n')
		caminho = str(adress[0])
		self.tabWidget.hide()
	else:
		caminho = str('index.html')
	print caminho
	#print adress
	
	
	#WebView - Navegador
	#img_flag = str('')
        self.webView = QtWebKit.QWebView(self.centralwidget)
        self.webView.setUrl(QtCore.QUrl(caminho))
        self.webView.setObjectName("webView")
	self.webView.settings().setAttribute(QtWebKit.QWebSettings.PluginsEnabled, True)
	self.webView.settings().setAttribute(QtWebKit.QWebSettings.JavascriptEnabled, True)
	#if img_flag == str('n'):
	#	self.webView.settings().setAttribute(QtWebKit.QWebSettings.AutoLoadImages, True)
	#else:
	#	self.webView.settings().setAttribute(QtWebKit.QWebSettings.AutoLoadImages, False)

        self.gridLayout.addWidget(self.webView, 0, 1, 1, 1)
	
	#Barra de Progresso
        self.progressBar = QtGui.QProgressBar(self.centralwidget)
        self.progressBar.setObjectName("progressBar")
        self.gridLayout.addWidget(self.progressBar, 1, 1, 1, 1)
	self.progressBar.hide()
        self.setCentralWidget(self.centralwidget)
        
	#funcoes
	
	def read_guia ():
		try:
			user = path.expanduser('~')
			file = str('basic')
			arquivo_guia = open(file).readlines()
			self.guia_list.clear()
			self.guia_list.addItems(arquivo_guia)
		except:
			pass
	
	#def read_app ():
	#	try:
	#		user = path.expanduser('~')
	#		file = str('/.config/bibliotehk/nomeapp')
	#		arquivo_app = open(user+file).readlines()
	#		self.apps_list.clear()
	#		self.apps_list.addItems(arquivo_app)
	#	except:
	#		pass

	#def read_internet ():
	#	try:
	#		user = path.expanduser('~')
	#		file = str('/.config/bibliotehk/nomeinternet')
	#		arquivo_internet = open(user+file).readlines()
	#		self.net_list.clear()
	#		self.net_list.addItems(arquivo_internet)
	#	except:
	#		pass

	#def read_hardware ():
	#	try:
	#		user = path.expanduser('~')
	#		file = str('/.config/bibliotehk/nomehardware')
	#		arquivo_hard = open(user+file).readlines()
	#		self.hard_list.clear()
	#		self.hard_list.addItems(arquivo_hard)
	#	except:
	#		pass

	#def read_jogos ():
	#	try:
	#		user = path.expanduser('~')
	#		file = str('/.config/bibliotehk/nomejogos')
	#		arquivo_jogos = open(user+file).readlines()
	#		self.games_list.clear()
	#		self.games_list.addItems(arquivo_jogos)
	#	except:
	#		pass
			
	read_guia()
	#read_app()
	#read_internet()
	#read_hardware()
	#read_jogos()

	def guia_open ():
		self.webView.stop()
		user = path.expanduser('~')
		file = str('basic_url')
		arquivo = open(file).readlines()
		index = self.guia_list.currentRow()
		page = arquivo[index].split('\n')
		self.webView.setUrl(QtCore.QUrl(page[0]))

	#def app_open ():
	#	user = path.expanduser('~')
	#	file = str('/.config/bibliotehk/arquivoapp')
	#	arquivo = open(user+file).readlines()
	#	index = self.apps_list.currentRow()
	#	page = arquivo[index].split('\n')
	#	self.webView.setUrl(QtCore.QUrl(page[0]))
	 
	#def internet_open ():
	#	user = path.expanduser('~')
	#	file = str('/.config/bibliotehk/arquivointernet')
	#	arquivo = open(user+file).readlines()
	#	index = self.net_list.currentRow()
	#	page = arquivo[index].split('\n')
	#	self.webView.setUrl(QtCore.QUrl(page[0]))

	#def hardware_open ():
	#	user = path.expanduser('~')
	#	file = str('/.config/bibliotehk/arquivohardware')
	#	arquivo = open(user+file).readlines()
	#	index = self.hard_list.currentRow()
	#	page = arquivo[index].split('\n')
	#	self.webView.setUrl(QtCore.QUrl(page[0]))
	 
	#def jogos_open ():
	#	user = path.expanduser('~')
	#	file = str('/.config/bibliotehk/arquivojogos')
	#	arquivo = open(user+file).readlines()
	#	index = self.net_list.currentRow()
	#	page = arquivo[index].split('\n')
	#	self.webView.setUrl(QtCore.QUrl(page[0]))

	def zoom_mais():
		current = self.webView.textSizeMultiplier()
		self.webView.setTextSizeMultiplier(current+0.2)
        
	def zoom_menos():
		current = self.webView.textSizeMultiplier()
		self.webView.setTextSizeMultiplier(current-0.2)
        
	def zoom_normal():
		self.webView.setTextSizeMultiplier(1.0)
	
	def full_bibliotehk():
		self.tabWidget.show()

	#def baixar_apps ():
	#	user = path.expanduser('~')
	#	file = str('/.config/bibliotehk/')
	#	chdir(user+file)
	#	system('rm -Rf *')
	#	system('wget http://dl.dropbox.com/u/2784979/arquivoapp')
	#	system('wget http://dl.dropbox.com/u/2784979/nomeapp')
	#	system('wget http://dl.dropbox.com/u/2784979/arquivointernet')
	#	system('wget http://dl.dropbox.com/u/2784979/nomeinternet')
	#	system('wget http://dl.dropbox.com/u/2784979/arquivohardware')
	#	system('wget http://dl.dropbox.com/u/2784979/nomehardware')
	#	system('wget http://dl.dropbox.com/u/2784979/arquivojogos')
	#	system('wget http://dl.dropbox.com/u/2784979/nomejogos')
	#	read_app()
	#	read_internet()
	#	read_hardware()
	#	read_jogos()
	
	def sobre_fun ():
		self.webView.setUrl(QtCore.QUrl('http://knol.google.com/k/cleiton-felix/cr%C3%A9ditos-do-manual?embed=content'))


	#Gerar Lista de Arquivos de Conteudo
	def conteudo_add ():
		if self.tabWidget.currentIndex() == 0:
			self.guia_list.clear()
			list = listdir("/usr/share/bibliotehk/conteudo/guia/")
			self.guia_list.addItems(list)
				
	#conteudo_add()
	
	def conteudo_guia():
		if self.tabWidget.currentIndex() == 0:
			index = self.guia_list.currentRow()
			list = listdir("/usr/share/bibliotehk/conteudo/guia/")
			file = str(list[index])
			file = str("/"+file)
			self.webView.setUrl(QtCore.QUrl("file:///usr/share/bibliotehk/conteudo/guia/"+file))
	
	#Barra de Ferramentas
	self.toolBar = QtGui.QToolBar(self)
        self.toolBar.setObjectName("toolBar")
	self.toolBar.setIconSize(QtCore.QSize(24, 24))
        self.addToolBar(QtCore.Qt.BottomToolBarArea, self.toolBar)
	
	#Funcao Imprimir
	self.printer= QtGui.QPrinter()
	self.dialog = QtGui.QPrintDialog(self.printer)
	self.dialog.setModal(True)
	self.dialog.setWindowTitle("Imprimir Página" )

	def fun ():
		if self.dialog.exec_() == True:
			self.webView.print_(self.printer)
	
	#botao imprimir
	printi = QtGui.QAction(QtGui.QIcon(print_icon), 'imprimir', self)
	printi.setText(printing)
        printi.setShortcut('Ctrl+P')
	self.connect(printi, QtCore.SIGNAL('triggered()'), fun)
	
	#botao anterior
	anterior = QtGui.QAction(QtGui.QIcon(previous_icon), 'Voltar', self)
	anterior.setText(previous)
	anterior.setShortcut('Ctrl+B')
	self.connect(anterior, QtCore.SIGNAL("triggered()"), self.webView.back)
	
	#botao proximo
	proximo = QtGui.QAction(QtGui.QIcon(next_icon), 'Voltar', self)
	proximo.setText(QtGui.QApplication.translate("MainWindow", next, None, QtGui.QApplication.UnicodeUTF8))
	proximo.setShortcut('Ctrl+N')
	self.connect(proximo, QtCore.SIGNAL("triggered()"), self.webView.forward)

	#Zoom +
	more_zoom = QtGui.QAction(QtGui.QIcon(zoomMore_icon), 'Zoom +', self)
	more_zoom.setText(morezoom)
        more_zoom.setShortcut('Ctrl++')
	self.connect(more_zoom, QtCore.SIGNAL('triggered()'), zoom_mais)
	
	#botao anterior
	less_zoom = QtGui.QAction(QtGui.QIcon(zoomLess_icon), 'Zoom -', self)
	less_zoom.setText(lesszoom)
	less_zoom.setShortcut('Ctrl+-')
	self.connect(less_zoom, QtCore.SIGNAL('triggered()'), zoom_menos)
	
	#botao proximo
	normal = QtGui.QAction(QtGui.QIcon(zoomNormal_icon), 'Zoom Normal', self)
	normal.setText(QtGui.QApplication.translate("MainWindow", zoom, None, QtGui.QApplication.UnicodeUTF8))
	normal.setShortcut('Ctrl+0')
	self.connect(normal, QtCore.SIGNAL('triggered()'), zoom_normal)
	
	#versao completa
	full = QtGui.QAction(QtGui.QIcon(principal_icon), interface, self)
	#full.setText(QtGui.QApplication.translate("MainWindow", interface, None, QtGui.QApplication.UnicodeUTF8))
	full.setShortcut('Alt+F')
	self.connect(full, QtCore.SIGNAL('triggered()'), full_bibliotehk)
		
	#Baixar Conteudo Online
	#baixar = str ('Baixar Manual Online')
	#online = QtGui.QAction(QtGui.QIcon(baixarManual_icon), baixar, self)
	#online.setText(QtGui.QApplication.translate("MainWindow", Baixar Conteúdo Online, None, QtGui.QApplication.UnicodeUTF8))
	#online.setShortcut('Alt+C')
	#self.connect(online, QtCore.SIGNAL('triggered()'), baixar_apps)
	
	#Sobre
	sobre = str ('Sobre o Bibliotehk')
	about = QtGui.QAction(QtGui.QIcon(about_icon), sobre, self)
	#sobre.setText(QtGui.QApplication.translate("MainWindow", Baixar Conteúdo Online, None, QtGui.QApplication.UnicodeUTF8))
	about.setShortcut('Ctrl+I')
	self.connect(about, QtCore.SIGNAL('triggered()'), sobre_fun)

	self.toolBar.addAction(anterior)
	self.toolBar.addAction(proximo)
	self.toolBar.addSeparator()
	self.toolBar.addAction(more_zoom)
	self.toolBar.addAction(normal)
	self.toolBar.addAction(less_zoom)
	self.toolBar.addSeparator()
	self.toolBar.addAction(printi)
	self.toolBar.addAction(full)
	#self.toolBar.addAction(online)
	self.toolBar.addSeparator()
	self.toolBar.addAction(about)
	self.toolBar.setToolButtonStyle(QtCore.Qt.ToolButtonTextUnderIcon)
	
	#Conexoes
	
	self.connect(self.webView, QtCore.SIGNAL("loadStarted ()"), self.progressBar.show)
	self.connect(self.webView,QtCore.SIGNAL("loadProgress(int)"),self.progressBar.setValue)
	self.connect(self.webView, QtCore.SIGNAL("loadFinished (bool)"), self.progressBar.hide)
	self.connect(self.tabWidget, QtCore.SIGNAL("currentChanged (int)"), 	read_guia)
	
	#Leitura de Conteudo
	self.connect(self.guia_list, QtCore.SIGNAL("currentItemChanged (QListWidgetItem *,QListWidgetItem *)"), guia_open)
	#self.connect(self.apps_list, QtCore.SIGNAL("currentItemChanged (QListWidgetItem *,QListWidgetItem *)"), app_open)
	#self.connect(self.net_list, QtCore.SIGNAL("currentItemChanged (QListWidgetItem *,QListWidgetItem *)"), internet_open)
	#self.connect(self.hard_list, QtCore.SIGNAL("currentItemChanged (QListWidgetItem *,QListWidgetItem *)"), hardware_open)
	#self.connect(self.games_list, QtCore.SIGNAL("currentItemChanged (QListWidgetItem *,QListWidgetItem *)"), jogos_open)
	
app = QtGui.QApplication(sys.argv)
main = MainWindow()
main.show()
sys.exit(app.exec_())